Package com.beust.jcommander

# Interface IDefaultProvider

All Known Implementing Classes:
  `PropertyFileDefaultProvider`

public interface IDefaultProvider
Allows the specification of default values.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDefaultValueFor(String optionName)`

## Method Details

### getDefaultValueFor

String getDefaultValueFor(String optionName)

Parameters:
  `optionName` - The name of the option as specified in the names() attribute of the @Parameter option (e.g. "-file").
Returns:
  the default value for this option.